package main

import "fmt"

const configPrint = `
CONFIG:
    Secret:   %q
    BindHost: %q
    BindPort: %q
`

func main() {
    config := getConfig()
    fmt.Printf(configPrint, config.Secret, config.BindHost, config.BindPort)
    bc := BotConfig{
        Nick:  config.Nick,
        Ident: config.Ident,
        Realname: config.Realname,
        ChansToJoin: config.ChansToJoin,
    }

    bot := newBot(bc, "chimera.snoonet.org", "6697", "snoonet", true)

    go bot.run()
    ListenForWebHook(config)
}
